# Bank Transfer

## Payin by BankTransfer&#x20;

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/trade/pay`

This endpoint allows you to submit a payin by BankTransfer in Argentina.

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

| Name                                                       | Type   | Description                                                                                |
| ---------------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------ |
| app\_id<mark style="color:red;">\*</mark>                  | string | <p>created app's id at dashboard</p><p>- Max. 32 chars -</p>                               |
| customer.phone                                             | string | User's phone                                                                               |
| customer.email<mark style="color:red;">\*</mark>           | string | User's email                                                                               |
| customer.identify.number<mark style="color:red;">\*</mark> | string | <p>User's identification number<br>- 11 digits -</p>                                       |
| method<mark style="color:red;">\*</mark>                   | string | Fixed value: BankTransfer                                                                  |
| out\_trade\_no<mark style="color:red;">\*</mark>           | string | <p>ID given by the merchant in their system<br>- Max. 64 chars - </p>                      |
| notify\_url<mark style="color:red;">\*</mark>              | string | Where Pagsmile will send notification to                                                   |
| customer.identify.type<mark style="color:red;">\*</mark>   | string | <p>User's identification type</p><p>- CUIT/CUIL/CDI -</p>                                  |
| customer.name<mark style="color:red;">\*</mark>            | string | User's name                                                                                |
| timestamp<mark style="color:red;">\*</mark>                | string | <p>yyyy-MM-dd HH:mm:ss<br>- Max. 19 chars -</p>                                            |
| subject<mark style="color:red;">\*</mark>                  | string | <p>payment reason or item title</p><p>- Max. 128 chars -</p>                               |
| order\_amount<mark style="color:red;">\*</mark>            | string | <p>payment amount<br>- 1\~1,000,000 -</p>                                                  |
| order\_currency<mark style="color:red;">\*</mark>          | string | Fixed value: ARS                                                                           |
| content<mark style="color:red;">\*</mark>                  | string | <p>payment reason detail or item detail</p><p>- Max. 255 chars -</p>                       |
| buyer\_id<mark style="color:red;">\*</mark>                | string | merchant user's id                                                                         |
| address.zip\_code                                          | string | <p>zip code<br>- 6 digits -</p>                                                            |
| website\_url                                               | string | <p>merchant website URL</p><p>- Max. 128 chars -</p>                                       |
| address.street                                             | string | street                                                                                     |
| address.street\_number                                     | string | street number                                                                              |
| address.city                                               | string | city                                                                                       |
| address.state                                              | string | state                                                                                      |
| return\_url                                                | string | Redirect to Merchant's url when user finished checkout                                     |
| account\_type<mark style="color:red;">\*</mark>            | string | <p>bank account type<br>- C (Checking account) or S (Savings account) - </p>               |
| account\_number<mark style="color:red;">\*</mark>          | string | Max 22 digits                                                                              |
| bank<mark style="color:red;">\*</mark>                     | string | Please use the [API](/payin/tools/supported-bank-list-query.md) to get supported bank list |

{% tabs %}
{% tab title="200 submit successfully" %}

```
{
    "code":"10000",
    "msg":"Success",
    "prepay_id":"d3UwdDhRbnUx****NMzdaWT0=-17FBDFe8",
    "trade_no":"2022010110293900083",
    "out_trade_no":"202201010354006",
    "web_url":"",
    "pay_url":"https://checkout.pagsmile.com/checkout?prepay_id=",
    "trade_status":"PROCESSING",
    "reference":"1024001122",
    "instruction":"{\"beneficiary\":{\"bank\":{\"code\":\"0002\",\"name\":\"ICBC\",\"branch\":{\"code\":\"null\"},\"account\":{\"number\":\"0150**************3082\",\"type\":\"Checking\"}},\"document\":{\"id\":\"30716132028\",\"type\":\"CUIT\"},\"name\":\"Test\",\"type\":\"INDIVIDUAL\"},\"referenceCode\":\"1024001122\"}"
}
```

{% endtab %}

{% tab title="400 duplicate out\_trade\_no" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "duplicate-out_trade_no",
    "sub_msg": "out_trade_no is duplicate"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**User payment tips**

* Redirect users to the **pay\_url** to complete the payment
* the first three digits of the account number must be the same as the bank code. For example, if the bank code is 191, the account number must be 191xxxxxxxxxxxxxxxxxxx.
  {% endhint %}

## Example

```
curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "app_id": "162************38",
    * "out_trade_no": "202201010354006",
    * "method": "BankTransfer",
    * "order_amount": "50",
    * "order_currency": "ARS",
    * "subject": "trade pay test",
    * "content": "trade pay test conent",
    * "notify_url": "http://merchant/callback/success",
      "return_url": "https://www.merchant.com",
    * "buyer_id": "buyer_0101_0001",
    * "timestamp": "2022-01-01 03:54:01",
      "timeout_express":"1c",
    * "account_number": "1910**************6653",
    * "account_type": "C",
    * "bank":"191",
    * "customer" : {
    *     "identify": {
    *         "type": "CUIT",
    *         "number": "20115872045"
          },
    *     "name": "Test User Name",
    *     "email": "test@pagsmile.com"
      }
```

{% hint style="info" %}
Note:  **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.&#x20;
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/payin/submit-a-payin/argentina/banktransfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
